
package com.ejie.ab61.clientesWS.X43ExpedienteElectronico;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for TMessageTipology.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="TMessageTipology">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="APORTACIONES"/>
 *     &lt;enumeration value="ARCHIVADO"/>
 *     &lt;enumeration value="CERTIFICACIONES"/>
 *     &lt;enumeration value="ERRORARCHIVADO"/>
 *     &lt;enumeration value="EXPEDIENTE"/>
 *     &lt;enumeration value="FINALIZACION"/>
 *     &lt;enumeration value="FIRMAS"/>
 *     &lt;enumeration value="FISCALIZACIONES"/>
 *     &lt;enumeration value="INICIODEOFICIO"/>
 *     &lt;enumeration value="INTEGRACIONCRM"/>
 *     &lt;enumeration value="LOCATOR"/>
 *     &lt;enumeration value="RECHAZO DE FIRMAS"/>
 *     &lt;enumeration value="SOLICITUDES"/>
 *     &lt;enumeration value="SOLICITUDTRASPASORECHAZADO"/>
 *     &lt;enumeration value="TRAMITACION"/>
 *     &lt;enumeration value="TRANSFORMATION"/>
 *     &lt;enumeration value="TRASPASOEXPEDIENTES"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "TMessageTipology", namespace = "com/ejie/x43s/v2/ttn/xml")
@XmlEnum
public enum TMessageTipology {

    APORTACIONES("APORTACIONES"),
    ARCHIVADO("ARCHIVADO"),
    CERTIFICACIONES("CERTIFICACIONES"),
    ERRORARCHIVADO("ERRORARCHIVADO"),
    EXPEDIENTE("EXPEDIENTE"),
    FINALIZACION("FINALIZACION"),
    FIRMAS("FIRMAS"),
    FISCALIZACIONES("FISCALIZACIONES"),
    INICIODEOFICIO("INICIODEOFICIO"),
    INTEGRACIONCRM("INTEGRACIONCRM"),
    LOCATOR("LOCATOR"),
    @XmlEnumValue("RECHAZO DE FIRMAS")
    RECHAZO_DE_FIRMAS("RECHAZO DE FIRMAS"),
    SOLICITUDES("SOLICITUDES"),
    SOLICITUDTRASPASORECHAZADO("SOLICITUDTRASPASORECHAZADO"),
    TRAMITACION("TRAMITACION"),
    TRANSFORMATION("TRANSFORMATION"),
    TRASPASOEXPEDIENTES("TRASPASOEXPEDIENTES");
    private final String value;

    TMessageTipology(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TMessageTipology fromValue(String v) {
        for (TMessageTipology c: TMessageTipology.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
